# Interface methods for submodule: Euler3DTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import Rigid3DTransformProxy as _Rigid3DTransformProxy


# Interface methods for class: Euler3DTransform
class Euler3DTransformProxy(_Rigid3DTransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def GetFixedParameters(self):
		""""""
		...

	def SetFixedParameters(self, parameters) -> None:
		""""""
		...

	def SetRotation(self, angleX: float, angleY: float, angleZ: float) -> None:
		""""""
		...

	def GetAngleX(self) -> float:
		""""""
		...

	def GetAngleY(self) -> float:
		""""""
		...

	def GetAngleZ(self) -> float:
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

	def SetComputeZYX(self, flag: bool) -> None:
		""""""
		...

	def GetComputeZYX(self) -> bool:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

